> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit Wallet



## OpenAPI

````yaml openapi.json post /wallet/credit
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /wallet/credit:
    parameters: []
    post:
      tags:
        - Wallet
      summary: Credit Wallet
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                pin:
                  type: string
                narration:
                  type: string
                walletId:
                  type: string
                metadata:
                  type: object
                  properties:
                    Key:
                      type: string
            example:
              amount: 400
              pin: '1234'
              narration: Credit wallet testing
              walletId: 53341293-eb2f-4510-8ebc-bad35ad2bd72
              metadata:
                Key: value
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '789'
            ETag:
              schema:
                type: string
              example: W/"315-Ch6EuSbk7YT/8kXAmMX1x2K47RU"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 04 Jul 2024 23:04:43 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Credit Wallet - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                      totalAmount:
                        type: integer
                      charges:
                        type: integer
                      status:
                        type: string
                      amount:
                        type: integer
                      merchantId:
                        type: string
                      walletId:
                        type: string
                      paidAt:
                        type: string
                        format: date-time
                      narration:
                        type: string
                      requestMetadata:
                        type: object
                        properties:
                          Key:
                            type: string
                      beneficiaryBankName:
                        type: string
                      beneficiaryBankCode:
                        type: string
                        format: color
                      beneficiaryAccountNumber:
                        type: string
                        format: utc-millisec
                      beneficiaryAccountName:
                        type: string
                      originatorBankCode:
                        type: string
                        format: color
                      originatorBankName:
                        type: string
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      description:
                        type: string
                      transactionId:
                        type: string
              example:
                status: true
                message: Wallet successfully credited.
                data:
                  reference: wW2gGqj2B8AVc897IxNw0iIhwBk1pn7BOWQt
                  totalAmount: 2000
                  charges: 0
                  status: SUCCESS
                  amount: 2000
                  merchantId: 1f18305f-851a-4266-bdc6-6fc1525928cf
                  walletId: 53341293-eb2f-4510-8ebc-bad35ad2bd72
                  paidAt: '2024-07-17T10:54:40+01:00'
                  narration: Credit wallet testing
                  requestMetadata:
                    Key: value
                  beneficiaryBankName: Xpress Wallet
                  beneficiaryBankCode: '999270'
                  beneficiaryAccountNumber: '4479274634'
                  beneficiaryAccountName: Ogundeko Ridwan
                  originatorBankCode: '999270'
                  originatorBankName: Xpress Wallet
                  originatorAccountName: Neyosoft
                  originatorAccountNumber: '4409794005'
                  description: ₦2,000.00 transferred to Ogundeko Ridwan
                  transactionId: 29836236-ac7b-498d-a1a3-f8ae82053366
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````